<template>
    <div class="cursor-pointer flex flex-row items-center"
         v-clipboard:copy="copyIP"
         v-on:click="handleCopyStatus()">
        <div class="button button-primary p-3 mr-4 h-12 w-12">
            <i class="fad fa-gamepad fa-lg fa-fw"></i>
        </div>

        <div v-if="copySucceeded === true" class="flex flex-col">
            <span class="text-base">Copied!</span>
        </div>

        <div v-else class="flex flex-col">
            <span class="text-base font-bold">play.strix.gg</span>

            <span class="text-sm flex flex-row">
                <player-counter-component></player-counter-component>
                <span class="ml-1">Members Playing</span>
            </span>
        </div>
    </div>
</template>

<script>
    export default {
        name: "CopyServerComponent",
        data() {
            return {
                copySucceeded: false,
                copyIP: `play.strix.gg`
            }
        },

        methods: {
            handleCopyStatus() {
                this.copySucceeded = ! this.copySucceeded;
            }
        }
    }
</script>
